msgpack::adaptor::convert< std::shared_ptr< T > > Struct Template Reference

`#include <shared_ptr.hpp>`

## Public Member Functions

msgpack::object const & | operator() (msgpack::object const &o, std::shared_ptr< T > &v) const

## Member Function Documentation

## operator()()

template<typename T >

msgpack::object const& msgpack::adaptor::convert< std::shared_ptr< T > >::operator() | ( | msgpack::object const & | o,
|  | std::shared_ptr< T > & | v
| ) |  | const

inline

References msgpack::object::is_nil().

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/cpp11/shared_ptr.hpp